Skip to main content
GET
/
v1
/
pathway
/
folders
/
{folder_id}
/
pathways
Get Pathways in Folder
curl --request GET \
  --url https://app.luly.ai/api/v1/pathway/folders/{folder_id}/pathways \
  --header 'authorization: <authorization>'
import requests

url = "https://app.luly.ai/api/v1/pathway/folders/{folder_id}/pathways"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://app.luly.ai/api/v1/pathway/folders/{folder_id}/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}

Headers

authorization
string
required
Your API key for authentication.

Path Parameters

folder_id
string
required
The ID of the folder to retrieve pathways from.

Response

pathways
array
An array of pathway objects within the specified folder.
pathways[].id
string
The unique identifier of the pathway.
pathways[].name
string
The name of the pathway.
pathways[].description
string
The description of the pathway.
pathways[].created_at
string
The creation date and time of the pathway.
{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}